
QGIS Application - Bug report #17505

Relation reference widget doesn't update to NULL value when deleting a reference

2017-11-21 10:23 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: Edit widget

Affected QGIS version:2.18.14 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25402

Description

When checking "allow null" values in relation reference widget, and use the red cross to suppress a referenced foreign key, no "UPDATE

mytable set my_fk = NULL ;" is forwarded to the database.

So this looks like a tough regression.

History

#1 - 2017-11-21 10:24 AM - Regis Haubourg

- Assignee set to Hugo Mercier

#2 - 2017-11-21 11:25 AM - Regis Haubourg

- Assignee deleted (Hugo Mercier)

#3 - 2017-11-22 09:28 AM - Paul Blottiere

- Assignee set to Paul Blottiere

#4 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#5 - 2019-01-22 09:13 AM - Regis Haubourg

- Status changed from Feedback to Closed

This is solved in 3.4. Closing
